# accessible.hh File Reference

Algorithms for accessible/coaccessible states computation. More...

Include dependency graph for accessible.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
std::set< typename Element< A, AI >::hstate_t > | accessible_states (const Element< A, AI > &a)
| Return accessible states.
template<typename A , typename AI >
Element< A, AI > | accessible (const Element< A, AI > &a)
| Extract the sub-automaton composed of accessible states.
template<typename A , typename AI >
void | accessible_here (Element< A, AI > &a)
| In-place extract the sub-automaton of accessible states.
template<typename A , typename AI >
std::set< typename Element< A, AI >::hstate_t > | coaccessible_states (const Element< A, AI > &a)
| Return co-accessible states.
template<typename A , typename AI >
Element< A, AI > | coaccessible (const Element< A, AI > &a)
| Extract the sub-automaton composed of co-accessible states.
template<typename A , typename AI >
void | coaccessible_here (Element< A, AI > &a)
| In-place extract the sub-automaton of co-accessible states.

## Detailed Description

Algorithms for accessible/coaccessible states computation.

A few algorithms to get accessible or coaccessible states from an automaton.

See also:
  accessible_states(), accessible(), accessible_here(), coaccessible_states(), coaccessible(), coaccessible_here()

Definition in file accessible.hh.